if "%ARCH%"=="32" (
    set OSSL_CONFIGURE=VC-WIN32
) ELSE (
    set OSSL_CONFIGURE=VC-WIN64A
)

REM workaround for bdprime
set LDFLAGS=

REM Configure step
%LIBRARY_BIN%\perl configure %OSSL_CONFIGURE% --prefix=%LIBRARY_PREFIX% --openssldir=%LIBRARY_PREFIX%
if errorlevel 1 exit 1

REM Build step
nmake
if errorlevel 1 exit 1

REM Test step
rem nmake test
rem if errorlevel 1 exit 1

REM Install step
nmake install
if errorlevel 1 exit 1

rd /s /q %LIBRARY_PREFIX%\html
